Package groovy.lang.groovydoc

# Class GroovydocTag

java.lang.Object
groovy.lang.groovydoc.GroovydocTag

public class GroovydocTag extends Object
TODO parse groovydoc to get tag content

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GroovydocTag(String name, String content, Groovydoc groovydoc)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `equals(Object o)`
  `String`
  `getContent()`
  `Groovydoc`
  `getGroovydoc()`
  `String`
  `getName()`
  `int`
  `hashCode()`
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### GroovydocTag

    public GroovydocTag(String name, String content, Groovydoc groovydoc)

- ## Method Details

  - ### getName

    public String getName()

  - ### getContent

    public String getContent()

  - ### getGroovydoc

    public Groovydoc getGroovydoc()

  - ### equals

    public boolean equals(Object o)
    Overrides:
      `equals` in class `Object`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`